Bug 731363 - [abrt] gvfs-gphoto2-1.8.2-1.fc15: Process /usr/libexec/gvfsd-gphoto2 was killed by signal 11 (SIGSEGV)
Summary: [abrt] gvfs-gphoto2-1.8.2-1.fc15: Process /usr/libexec/gvfsd-gphoto2 was kill...
Keywords:
Status: CLOSED DUPLICATE of bug 723794
Alias: None
Product: Fedora
Classification: Fedora
Component: gvfs
Version: 15
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tomáš Bžatek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:16c93697d9b8e0852792d85f1c6...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-17 12:48 UTC by Subash B
Modified: 2015-03-03 23:01 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-30 13:07:30 UTC


Attachments (Terms of Use)
File: backtrace (10.92 KB, text/plain)
2012-01-31 09:40 UTC, Pau Aliagas
no flags Details
File: backtrace (10.94 KB, text/plain)
2012-02-03 10:38 UTC, Pau Aliagas
no flags Details

Description Subash B 2011-08-17 12:48:02 UTC
abrt version: 2.0.3
architecture:   x86_64
backtrace_rating: 3
cmdline:        /usr/libexec/gvfsd-gphoto2 --spawner :1.4 /org/gtk/gvfs/exec_spaw/5
comment:        while unmount my nokia phone.
component:      gvfs
executable:     /usr/libexec/gvfsd-gphoto2
kernel:         2.6.40-4.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        gvfs-gphoto2-1.8.2-1.fc15
reason:         Process /usr/libexec/gvfsd-gphoto2 was killed by signal 11 (SIGSEGV)
time:           Wed Aug 17 17:33:52 2011
uid:            532
username:       subash

backtrace:
:[New LWP 30062]
:[New LWP 30061]
:[Thread debugging using libthread_db enabled]
:Core was generated by `/usr/libexec/gvfsd-gphoto2 --spawner :1.4 /org/gtk/gvfs/exec_spaw/5'.
:Program terminated with signal 11, Segmentation fault.
:#0  0x0000000c00000200 in ?? ()
:
:Thread 2 (Thread 0x7f646e4487c0 (LWP 30061)):
:#0  0x00007f646d6fd423 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
:        resultvar = <optimized out>
:        oldtype = 0
:        result = <optimized out>
:#1  0x0000003705e42d24 in g_main_context_poll (n_fds=4, fds=0x27984b0, priority=<optimized out>, timeout=1126, context=0x278bd30) at gmain.c:3405
:        poll_func = 0x3705e51310 <g_poll>
:#2  g_main_context_iterate (context=0x278bd30, block=<optimized out>, dispatch=1, self=<optimized out>) at gmain.c:3087
:        max_priority = 2147483647
:        timeout = 1126
:        some_ready = <optimized out>
:        nfds = 4
:        allocated_nfds = <optimized out>
:        fds = 0x27984b0
:        __PRETTY_FUNCTION__ = "g_main_context_iterate"
:#3  0x0000003705e4360d in g_main_loop_run (loop=0x278c360) at gmain.c:3300
:        self = 0x277b4e0
:        __PRETTY_FUNCTION__ = "g_main_loop_run"
:#4  0x000000000040df10 in daemon_main (argc=4, argv=<optimized out>, max_job_threads=1, default_type=0x41edc6 "gphoto2", mountable_name=<optimized out>, first_type_name=0x41edc6 "gphoto2") at daemon-main.c:295
:        var_args = {{gp_offset = 48, fp_offset = 0, overflow_arg_area = 0x7fffb15289a0, reg_save_area = 0x7fffb1528920}}
:        connection = <optimized out>
:        loop = <optimized out>
:        daemon = 0x278c800 [GVfsDaemon]
:        derror = {name = 0x0, message = 0x0, dummy1 = 1, dummy2 = 0, dummy3 = 0, dummy4 = 0, dummy5 = 1, padding1 = 0x10}
:        mount_spec = 0x0
:        mount_source = <optimized out>
:        error = 0x0
:        res = <optimized out>
:        type = <optimized out>
:#5  0x0000000000408184 in main (argc=4, argv=0x7fffb1528a98) at daemon-main-generic.c:39
:No locals.
:
:Thread 1 (Thread 0x7f6466de3700 (LWP 30062)):
:#0  0x0000000c00000200 in ?? ()
:No symbol table info available.
:#1  0x00007f64661a1577 in init_ptp_fs (camera=<optimized out>, context=0x7f6460004c70) at ptp2/library.c:5350
:        ret = <optimized out>
:        i = <optimized out>
:        id = 0
:        nroot = 13
:        params = 0x7f646000a410
:        buf = "\037\000\000\000\000\000\000\000H\306Dnd\177\000\000\016\000\231\217\000\000\000\000\006\070'nd\177\000\000\000\000\000\000\000\000\000\000\016\000\000\000\000\000\000\000@'\336fd\177\000\000\377\377\377\377\000\000\000\000`\005 \v7\000\000\000\020'\336fd\177\000\000\070\a \v7\000\000\000\320&\336fd\177\000\000X\027 \v7\000\000\000X'\336fd\177", '\000' <repeats 18 times>"\300, IEnd\177\000\000$B\027fd\177\000\000P\" \v7\000\000\000h9\027fd\177\000\000\000\000\000\000\005\000\000\000\254\000\000\000\001\000\000\000P(\336fd\177\000\000\070\240\000`d\177\000\000\200'\336fd\177\000\000\016\000\231\217\000\000\000\000\250'\336fd\177\000\000\340\234\000`d\177\000\000\000\000\000\000\000\000\000\000"...
:        ret = <optimized out>
:#2  0x00007f64661a4d03 in file_list_func (fs=<optimized out>, folder=<optimized out>, list=0x7f6460023100, data=0x7f6460004d00, context=0x7f6460004c70) at ptp2/library.c:3581
:        camera = 0x7f6460004d00
:        params = 0x7f646000a410
:        parent = <optimized out>
:        storage = 0
:        i = <optimized out>
:        hasgetstorageids = <optimized out>
:#3  0x000000370b21283a in gp_filesystem_list_files (fs=0x7f6460006700, folder=0x7f646000b7a0 "/store_00010001/", list=0x7f6460023100, context=0x7f6460004c70) at gphoto2-filesys.c:960
:        r = <optimized out>
:        count = <optimized out>
:        y = <optimized out>
:        name = <optimized out>
:        f = 0x7f646000c100
:        file = <optimized out>
:#4  0x000000370b212a7b in lookup_folder_file (fs=0x7f6460006700, folder=0x7f646000b7a0 "/store_00010001/", filename=0x7f646000b7e0 "media.repo", xfolder=0x7f6466de2ab0, xfile=0x7f6466de2ab8, context=0x7f6460004c70) at gphoto2-filesys.c:461
:        list = 0x7f6460023100
:        ret = <optimized out>
:        xf = 0x7f646000c100
:        f = <optimized out>
:#5  0x000000370b21511e in gp_filesystem_get_info (fs=0x7f6460006700, folder=0x7f646000b7a0 "/store_00010001/", filename=0x7f646000b7e0 "media.repo", info=0x7f6466de2ba0, context=0x7f6460004c70) at gphoto2-filesys.c:1930
:        r = <optimized out>
:        f = 0x7f646000b7e0
:        file = <optimized out>
:        t = <optimized out>
:#6  0x000000370b20b770 in gp_camera_file_get_info (camera=0x7f6460004d00, folder=0x7f646000b7a0 "/store_00010001/", file=0x7f646000b7e0 "media.repo", info=0x7f6466de2ba0, context=0x7f6460004c70) at gphoto2-camera.c:1216
:        result = 0
:        mime_type = <optimized out>
:        data = 0x7f646e27d885 "I\211\303L\213L$0L\213D$(H\213|$ H\213t$\030H\213T$\020H\213L$\bH\213\004$H\203\304HA\377\343ffffff.\017\037\204"
:        cfile = <optimized out>
:#7  0x0000000000409878 in file_get_info (gphoto2_backend=0x278f0e0, dir=0x7f646000b7a0 "/store_00010001/", name=0x7f646000b7e0 "media.repo", info=0x278b610 [GFileInfo], error=0x7f6466de2d48, try_cache_only=0) at gvfsbackendgphoto2.c:1149
:        rc = <optimized out>
:        ret = 0
:        gp_info = {preview = {fields = GP_FILE_INFO_NONE, status = GP_FILE_STATUS_NOT_DOWNLOADED, size = 0, type = '\000' <repeats 63 times>, width = 0, height = 0}, file = {fields = GP_FILE_INFO_NONE, status = GP_FILE_STATUS_NOT_DOWNLOADED, size = 0, type = '\000' <repeats 63 times>, width = 0, height = 0, name = '\000' <repeats 63 times>, permissions = GP_FILE_PERM_NONE, mtime = 0}, audio = {fields = GP_FILE_INFO_NONE, status = GP_FILE_STATUS_NOT_DOWNLOADED, size = 0, type = '\000' <repeats 63 times>}}
:        full_path = 0x7f646000c020 "/store_00010001/media.repo"
:        cached_info = <optimized out>
:        mtime = {tv_sec = 1, tv_usec = 206158430224}
:        mime_type = <optimized out>
:        icon = <optimized out>
:        n = <optimized out>
:#8  0x000000000040c841 in do_query_info (backend=<optimized out>, job=0x2796000 [GVfsJobQueryInfo], filename=0x2785480 "/media.repo", flags=<optimized out>, info=0x278b610 [GFileInfo], matcher=<optimized out>) at gvfsbackendgphoto2.c:2114
:        gphoto2_backend = 0x278f0e0
:        error = 0x0
:        dir = 0x7f646000b7a0 "/store_00010001/"
:        name = 0x7f646000b7e0 "media.repo"
:#9  0x0000000000413282 in g_vfs_job_run (job=0x2796000 [GVfsJobQueryInfo]) at gvfsjob.c:198
:        class = 0x278c220
:#10 0x0000003705e6aa50 in g_thread_pool_thread_proxy (data=<optimized out>) at gthreadpool.c:319
:        task = 0x2796000
:        pool = 0x278c4e0
:#11 0x0000003705e683a6 in g_thread_create_proxy (data=0x27913c0) at gthread.c:1955
:        thread = 0x27913c0
:        __PRETTY_FUNCTION__ = "g_thread_create_proxy"
:#12 0x00007f646e056b31 in start_thread (arg=0x7f6466de3700) at pthread_create.c:305
:        __res = <optimized out>
:        pd = 0x7f6466de3700
:        now = <optimized out>
:        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {0, 8068126124116637912, 140736168362976, 140069199296960, 0, 3, -7980536548000696104, -7980552278192457512}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
:        not_first_call = 0
:        pagesize_m1 = <optimized out>
:        sp = <optimized out>
:        freesize = <optimized out>
:#13 0x00007f646d705d2d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
:No locals.
:From                To                  Syms Read   Shared Object Library
:0x000000305ba09210  0x000000305ba132ec  Yes         /usr/lib64/libgvfscommon.so.0
:0x0000003708203b70  0x000000370821d84c  Yes         /lib64/libexpat.so.1
:0x0000003708e294a0  0x0000003708ed2b3c  Yes         /lib64/libgio-2.0.so.0
:0x0000003707a00fe0  0x0000003707a01f8c  Yes         /lib64/libgmodule-2.0.so.0
:0x000000305fc076f0  0x000000305fc3051c  Yes         /lib64/libdbus-1.so.3
:0x00007f646e054660  0x00007f646e05f3cc  Yes         /lib64/libpthread.so.0
:0x0000003062406ee0  0x0000003062416b4c  Yes         /usr/lib64/libgnome-keyring.so.0
:0x000000370b205fb0  0x000000370b21870c  Yes         /usr/lib64/libgphoto2.so.2
:0x000000370de02060  0x000000370de05ecc  Yes         /usr/lib64/libgphoto2_port.so.0
:0x00007f646ddceea0  0x00007f646de0ee9c  Yes         /lib64/libm.so.6
:0x0000003710210620  0x000000371022217c  Yes         /usr/lib64/libexif.so.12
:0x0000003710a01620  0x0000003710a0317c  Yes         /lib64/libusb-0.1.so.4
:0x000000305d6037e0  0x000000305d6068fc  Yes         /lib64/libgudev-1.0.so.0
:0x0000003706a09970  0x0000003706a39dcc  Yes         /lib64/libgobject-2.0.so.0
:0x0000003706601560  0x0000003706602a2c  Yes         /lib64/libgthread-2.0.so.0
:0x00007f646dbc5160  0x00007f646dbc83ec  Yes         /lib64/librt.so.1
:0x0000003705e16cd0  0x0000003705eadbec  Yes         /lib64/libglib-2.0.so.0
:0x00007f646d9c0e10  0x00007f646d9c168c  Yes         /lib64/libutil.so.1
:0x00007f646d644ce0  0x00007f646d76938c  Yes         /lib64/libc.so.6
:0x00007f646d422de0  0x00007f646d42391c  Yes         /lib64/libdl.so.2
:0x00007f646d20a840  0x00007f646d21a53c  Yes         /lib64/libresolv.so.2
:0x0000003705201e70  0x000000370520e67c  Yes         /lib64/libz.so.1
:0x0000003705a05980  0x0000003705a159dc  Yes         /lib64/libselinux.so.1
:0x00007f646e26ab20  0x00007f646e282cca  Yes         /lib64/ld-linux-x86-64.so.2
:0x0000003714e06e00  0x0000003714e4fd7c  Yes         /lib64/libgcrypt.so.11
:0x0000003717202360  0x000000371720669c  Yes         /usr/lib64/libltdl.so.7
:0x000000370da02620  0x000000370da0999c  Yes         /lib64/libusb-1.0.so.0
:0x000000305c602e40  0x000000305c60accc  Yes         /lib64/libudev.so.0
:0x0000003714200840  0x0000003714200dcc  Yes         /lib64/libgpg-error.so.0
:0x000000305ce028a0  0x000000305ce120cc  Yes         /lib64/libgcc_s.so.1
:0x00007f64663df070  0x00007f64663e13ec  Yes         /usr/lib64/libgphoto2_port/0.8.0/usb.so
:0x00007f646618dd00  0x00007f64661b6c1c  Yes         /usr/lib64/libgphoto2/2.4.10.1/ptp2.so
:0x00007f6465f68170  0x00007f6465f6f8ac  Yes         /lib64/libnss_files.so.2
:0x00007f6465d5d040  0x00007f6465d635fc  Yes         /lib64/libnss_nis.so.2
:0x00007f6465b45ff0  0x00007f6465b537fc  Yes         /lib64/libnsl.so.1
:$1 = 0x0
:$2 = 0x0
:rax            0xc00000200	51539608064
:rbx            0x7f646000a410	140069084111888
:rcx            0x7f6466de2418	140069199291416
:rdx            0x0	0
:rsi            0x0	0
:rdi            0x7f6460004c70	140069084089456
:rbp            0x99	0x99
:rsp            0x7f6466de24e8	0x7f6466de24e8
:r8             0xd	13
:r9             0x7db	2011
:r10            0xffffffffffffc581	-14975
:r11            0x0	0
:r12            0x99	153
:r13            0x7f6460004c70	140069084089456
:r14            0x7f6460126bd8	140069085277144
:r15            0x99	153
:rip            0xc00000200	0xc00000200
:eflags         0x10206	[ PF IF RF ]
:cs             0x33	51
:ss             0x2b	43
:ds             0x0	0
:es             0x0	0
:fs             0x0	0
:gs             0x0	0
:No function contains program counter for selected frame.

build_ids:
:318d7ebb9ff61bf5d08d070bb0fa793c4c0d9cb0
:0b232e446650ce07a3e70bae4f00a7ad5eda2630
:f65baade131f67f424c4167cb2f046cb63a96c01
:00caa79d9b9399c8cecfe1e6b9b0937c74a24a17
:7ff59f3ec00ebb70f32a3f3d6373e19cdc03d0cd
:17e8fca193cfa612bf826fa5c6419eb4251bbfdc
:f8a4496694553ff8dc93d7d93187936f4acd07a9
:629a741bc1210f80b3e03f45f65f8a99d3bebe8e
:48c986082682a31f0a23ad45b8baec3104ccc8bc
:33d2a6974304df80b2ead5e2ab3c1e34c692a6b5
:bff42965b5cdcb7004a4abfdcd264d254a59046b
:90fe13fac734263f663981ce4d1691cf926ced25
:da4cdbbfa8a27c736d181283f7fa78db71b43754
:776db75390b9b7eb0c9378fc083633917b2fe16f
:27301f5062e80c3247bf89aaf21f0a6e3180168f
:dc9b4fd5e93ad9bca20384bf42e56a5b033fcde8
:e01f93e4d0104969c6f61e8413292ce88b940297
:48aea888319e1848137073c9cbde54a4c2a731c9
:e5f626726497a81807681ed0088dbce6d6a1f17b
:3416b2ab0ce2faae0d1f8d59b70079df410865bc
:9ef41f9ca0eabaf3a03dd77eb180e202ab4fe956
:f510a69fd2f699f4ba4c499e4be53041e43fa5fe
:fdc09328fea3e060c8a504a8291555b4cd19172a
:ce17aa2d5ae45fcebfea1836a88c14da70b831ed
:264bfd9d45950be27417615f22a11928f979af89
:1d87720659528ad80e8870da2b2bb4af4470cf66
:d3d9b1a08237d48899e1571e3866f7e01c80d8d7
:a49cf848d2b34230f96e1ddfd36eb56222de0ff8
:3efa90a1dfea76e986419cc678c07b368c6afde2
:4c7e95adf3ebf234c3296a412389fb303f4facf0
:c08ee75747f49663df26be3e321cb24fbf70a426
:3e7396aeb0cacf83a7416f50cad1ff2d2d5c1594
:d209b396f198879f49a4cce4bd445df16ab163b5
:8004fd9a60302bd0663602b5ba96d1b6bc6732ba
:77976ba86d7b36b89a8c1d02fbfc8f50986e2d35
:c3bf0640bc3345ce7d088a9e8917ed5d7471e1b2

dso_list:
:/lib64/libudev.so.0.11.1 libudev-167-4.fc15.x86_64 (Fedora Project) 1307053555
:/lib64/librt-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1313575145
:/lib64/libgmodule-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1307881065
:/lib64/libusb-1.0.so.0.0.0 libusb1-1.0.8-7.fc15.x86_64 (Fedora Project) 1307053634
:/usr/libexec/gvfsd-gphoto2 gvfs-gphoto2-1.8.2-1.fc15.x86_64 (Fedora Project) 1307881240
:/lib64/libglib-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1307881065
:/lib64/libnsl-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1313575145
:/usr/lib64/libgvfscommon.so.0.0.0 gvfs-1.8.2-1.fc15.x86_64 (Fedora Project) 1307881073
:/lib64/libgcc_s-4.6.0-20110603.so.1 libgcc-4.6.0-10.fc15.x86_64 (Fedora Project) 1312346625
:/usr/lib64/libgphoto2_port/0.8.0/usb.so libgphoto2-2.4.10.1-1.fc15.x86_64 (Fedora Project) 1307054679
:/lib64/libexpat.so.1.5.2 expat-2.0.1-11.fc15.x86_64 (Fedora Project) 1307053537
:/lib64/libgudev-1.0.so.0.1.0 libgudev1-167-4.fc15.x86_64 (Fedora Project) 1307054608
:/usr/lib64/gconv/gconv-modules.cache glibc-2.14-5.x86_64 (Fedora Project) 1313575145
:/lib64/libgthread-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1307881065
:/usr/lib64/libexif.so.12.3.2 libexif-0.6.20-1.fc15.x86_64 (Fedora Project) 1307053592
:/lib64/libdbus-1.so.3.5.4 dbus-libs-1:1.4.6-5.fc15.x86_64 (Fedora Project) 1312346632
:/lib64/libm-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1313575145
:/lib64/ld-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1313575145
:/lib64/libgio-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1307881065
:/lib64/libgpg-error.so.0.7.0 libgpg-error-1.9-2.fc15.x86_64 (Fedora Project) 1307053542
:/usr/lib64/libgphoto2_port.so.0.8.0 libgphoto2-2.4.10.1-1.fc15.x86_64 (Fedora Project) 1307054679
:/usr/lib64/libgphoto2.so.2.4.0 libgphoto2-2.4.10.1-1.fc15.x86_64 (Fedora Project) 1307054679
:/usr/lib64/libgphoto2/2.4.10.1/ptp2.so libgphoto2-2.4.10.1-1.fc15.x86_64 (Fedora Project) 1307054679
:/lib64/libnss_files-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1313575145
:/lib64/libusb-0.1.so.4.4.4 libusb-1:0.1.3-9.fc15.x86_64 (Fedora Project) 1309762150
:/lib64/libpthread-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1313575145
:/lib64/libc-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1313575145
:/lib64/libdl-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1313575145
:/lib64/libnss_nis-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1313575145
:/lib64/libresolv-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1313575145
:/lib64/libz.so.1.2.5 zlib-1.2.5-3.fc15.x86_64 (Fedora Project) 1307053523
:/usr/lib/locale/locale-archive glibc-common-2.14-5.x86_64 (Fedora Project) 1313575134
:/usr/lib64/libltdl.so.7.3.0 libtool-ltdl-2.4-4.fc15.x86_64 (Fedora Project) 1307053557
:/lib64/libutil-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1313575145
:/usr/lib64/libgnome-keyring.so.0.1.1 libgnome-keyring-3.0.3-1.fc15.x86_64 (Fedora Project) 1307881071
:/lib64/libgcrypt.so.11.6.0 libgcrypt-1.4.6-1.fc15.x86_64 (Fedora Project) 1307053544
:/lib64/libselinux.so.1 libselinux-2.0.99-4.fc15.x86_64 (Fedora Project) 1307053561
:/lib64/libgobject-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1307881065

environ:
:SHELL=/bin/tcsh
:DBUS_STARTER_ADDRESS=unix:abstract=/tmp/dbus-HNq8ntRyH0,guid=55136d36b8aee8bff0ce0d0a0000009a
:XDG_SESSION_COOKIE=4173b2c63246741ee7d78dc24b8eb626-1312827392.941635-395596142
:XDG_RUNTIME_DIR=/run/user/subash
:DISPLAY=:0
:DESKTOP_SESSION=gnome
:WINDOWPATH=7
:PATH=/usr/local/bin:/usr/bin:/bin
:GDMSESSION=gnome
:USERNAME=subash
:XDG_SESSION_ID=3
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-HNq8ntRyH0,guid=55136d36b8aee8bff0ce0d0a0000009a
:XAUTHORITY=/var/run/gdm/auth-for-subash-VZvhXv/database
:USER=subash
:DBUS_STARTER_BUS_TYPE=session
:GNOME_KEYRING_PID=2426
:SHLVL=1
:PWD=/home/subash
:GDM_LANG=
:GNOME_KEYRING_CONTROL=/tmp/keyring-UtG2M0
:LANG=en_US.UTF-8
:_=/usr/bin/dbus-launch
:LOGNAME=subash
:HOME=/home/subash

maps:
:00400000-00428000 r-xp 00000000 fd:00 134522                             /usr/libexec/gvfsd-gphoto2
:00628000-00629000 rw-p 00028000 fd:00 134522                             /usr/libexec/gvfsd-gphoto2
:00629000-0062a000 rw-p 00000000 00:00 0 
:00828000-0082e000 rw-p 00028000 fd:00 134522                             /usr/libexec/gvfsd-gphoto2
:0277a000-0279b000 rw-p 00000000 00:00 0                                  [heap]
:305ba00000-305ba17000 r-xp 00000000 fd:00 136668                         /usr/lib64/libgvfscommon.so.0.0.0
:305ba17000-305bc16000 ---p 00017000 fd:00 136668                         /usr/lib64/libgvfscommon.so.0.0.0
:305bc16000-305bc18000 rw-p 00016000 fd:00 136668                         /usr/lib64/libgvfscommon.so.0.0.0
:305c600000-305c60e000 r-xp 00000000 fd:00 40829                          /lib64/libudev.so.0.11.1
:305c60e000-305c80d000 ---p 0000e000 fd:00 40829                          /lib64/libudev.so.0.11.1
:305c80d000-305c80e000 r--p 0000d000 fd:00 40829                          /lib64/libudev.so.0.11.1
:305c80e000-305c80f000 rw-p 0000e000 fd:00 40829                          /lib64/libudev.so.0.11.1
:305ce00000-305ce15000 r-xp 00000000 fd:00 40827                          /lib64/libgcc_s-4.6.0-20110603.so.1
:305ce15000-305d014000 ---p 00015000 fd:00 40827                          /lib64/libgcc_s-4.6.0-20110603.so.1
:305d014000-305d015000 rw-p 00014000 fd:00 40827                          /lib64/libgcc_s-4.6.0-20110603.so.1
:305d600000-305d609000 r-xp 00000000 fd:00 6322                           /lib64/libgudev-1.0.so.0.1.0
:305d609000-305d808000 ---p 00009000 fd:00 6322                           /lib64/libgudev-1.0.so.0.1.0
:305d808000-305d809000 r--p 00008000 fd:00 6322                           /lib64/libgudev-1.0.so.0.1.0
:305d809000-305d80a000 rw-p 00000000 00:00 0 
:305fc00000-305fc42000 r-xp 00000000 fd:00 21133                          /lib64/libdbus-1.so.3.5.4
:305fc42000-305fe42000 ---p 00042000 fd:00 21133                          /lib64/libdbus-1.so.3.5.4
:305fe42000-305fe43000 r--p 00042000 fd:00 21133                          /lib64/libdbus-1.so.3.5.4
:305fe43000-305fe44000 rw-p 00043000 fd:00 21133                          /lib64/libdbus-1.so.3.5.4
:3062400000-306241f000 r-xp 00000000 fd:00 154651                         /usr/lib64/libgnome-keyring.so.0.1.1
:306241f000-306261f000 ---p 0001f000 fd:00 154651                         /usr/lib64/libgnome-keyring.so.0.1.1
:306261f000-3062620000 rw-p 0001f000 fd:00 154651                         /usr/lib64/libgnome-keyring.so.0.1.1
:3705200000-3705216000 r-xp 00000000 fd:00 35949                          /lib64/libz.so.1.2.5
:3705216000-3705416000 ---p 00016000 fd:00 35949                          /lib64/libz.so.1.2.5
:3705416000-3705417000 rw-p 00016000 fd:00 35949                          /lib64/libz.so.1.2.5
:3705a00000-3705a1d000 r-xp 00000000 fd:00 35960                          /lib64/libselinux.so.1
:3705a1d000-3705c1c000 ---p 0001d000 fd:00 35960                          /lib64/libselinux.so.1
:3705c1c000-3705c1d000 r--p 0001c000 fd:00 35960                          /lib64/libselinux.so.1
:3705c1d000-3705c1e000 rw-p 0001d000 fd:00 35960                          /lib64/libselinux.so.1
:3705c1e000-3705c1f000 rw-p 00000000 00:00 0 
:3705e00000-3705f15000 r-xp 00000000 fd:00 35954                          /lib64/libglib-2.0.so.0.2800.8
:3705f15000-3706115000 ---p 00115000 fd:00 35954                          /lib64/libglib-2.0.so.0.2800.8
:3706115000-3706116000 rw-p 00115000 fd:00 35954                          /lib64/libglib-2.0.so.0.2800.8
:3706116000-3706117000 rw-p 00000000 00:00 0 
:3706600000-3706604000 r-xp 00000000 fd:00 35972                          /lib64/libgthread-2.0.so.0.2800.8
:3706604000-3706803000 ---p 00004000 fd:00 35972                          /lib64/libgthread-2.0.so.0.2800.8
:3706803000-3706804000 rw-p 00003000 fd:00 35972                          /lib64/libgthread-2.0.so.0.2800.8
:3706a00000-3706a4c000 r-xp 00000000 fd:00 35973                          /lib64/libgobject-2.0.so.0.2800.8
:3706a4c000-3706c4b000 ---p 0004c000 fd:00 35973                          /lib64/libgobject-2.0.so.0.2800.8
:3706c4b000-3706c4d000 rw-p 0004b000 fd:00 35973                          /lib64/libgobject-2.0.so.0.2800.8
:3706c4d000-3706c4e000 rw-p 00000000 00:00 0 
:3707a00000-3707a03000 r-xp 00000000 fd:00 35974                          /lib64/libgmodule-2.0.so.0.2800.8
:3707a03000-3707c02000 ---p 00003000 fd:00 35974                          /lib64/libgmodule-2.0.so.0.2800.8
:3707c02000-3707c03000 rw-p 00002000 fd:00 35974                          /lib64/libgmodule-2.0.so.0.2800.8
:3708200000-3708227000 r-xp 00000000 fd:00 249                            /lib64/libexpat.so.1.5.2
:3708227000-3708426000 ---p 00027000 fd:00 249                            /lib64/libexpat.so.1.5.2
:3708426000-3708429000 rw-p 00026000 fd:00 249                            /lib64/libexpat.so.1.5.2
:3708e00000-3708f21000 r-xp 00000000 fd:00 35975                          /lib64/libgio-2.0.so.0.2800.8
:3708f21000-3709120000 ---p 00121000 fd:00 35975                          /lib64/libgio-2.0.so.0.2800.8
:3709120000-3709126000 rw-p 00120000 fd:00 35975                          /lib64/libgio-2.0.so.0.2800.8
:3709126000-3709127000 rw-p 00000000 00:00 0 
:370b200000-370b21e000 r-xp 00000000 fd:00 147482                         /usr/lib64/libgphoto2.so.2.4.0
:370b21e000-370b41e000 ---p 0001e000 fd:00 147482                         /usr/lib64/libgphoto2.so.2.4.0
:370b41e000-370b41f000 rw-p 0001e000 fd:00 147482                         /usr/lib64/libgphoto2.so.2.4.0
:370b41f000-370b47f000 rw-p 00000000 00:00 0 
:370da00000-370da0d000 r-xp 00000000 fd:00 714                            /lib64/libusb-1.0.so.0.0.0
:370da0d000-370dc0c000 ---p 0000d000 fd:00 714                            /lib64/libusb-1.0.so.0.0.0
:370dc0c000-370dc0d000 rw-p 0000c000 fd:00 714                            /lib64/libusb-1.0.so.0.0.0
:370de00000-370de08000 r-xp 00000000 fd:00 147480                         /usr/lib64/libgphoto2_port.so.0.8.0
:370de08000-370e007000 ---p 00008000 fd:00 147480                         /usr/lib64/libgphoto2_port.so.0.8.0
:370e007000-370e008000 rw-p 00007000 fd:00 147480                         /usr/lib64/libgphoto2_port.so.0.8.0
:3710200000-3710232000 r-xp 00000000 fd:00 147481                         /usr/lib64/libexif.so.12.3.2
:3710232000-3710432000 ---p 00032000 fd:00 147481                         /usr/lib64/libexif.so.12.3.2
:3710432000-3710445000 rw-p 00032000 fd:00 147481                         /usr/lib64/libexif.so.12.3.2
:3710a00000-3710a04000 r-xp 00000000 fd:00 35994                          /lib64/libusb-0.1.so.4.4.4
:3710a04000-3710c03000 ---p 00004000 fd:00 35994                          /lib64/libusb-0.1.so.4.4.4
:3710c03000-3710c04000 rw-p 00003000 fd:00 35994                          /lib64/libusb-0.1.so.4.4.4
:3714200000-3714203000 r-xp 00000000 fd:00 35966                          /lib64/libgpg-error.so.0.7.0
:3714203000-3714402000 ---p 00003000 fd:00 35966                          /lib64/libgpg-error.so.0.7.0
:3714402000-3714403000 rw-p 00002000 fd:00 35966                          /lib64/libgpg-error.so.0.7.0
:3714e00000-3714e71000 r-xp 00000000 fd:00 35967                          /lib64/libgcrypt.so.11.6.0
:3714e71000-3715070000 ---p 00071000 fd:00 35967                          /lib64/libgcrypt.so.11.6.0
:3715070000-3715074000 rw-p 00070000 fd:00 35967                          /lib64/libgcrypt.so.11.6.0
:3717200000-3717209000 r-xp 00000000 fd:00 132411                         /usr/lib64/libltdl.so.7.3.0
:3717209000-3717408000 ---p 00009000 fd:00 132411                         /usr/lib64/libltdl.so.7.3.0
:3717408000-3717409000 rw-p 00008000 fd:00 132411                         /usr/lib64/libltdl.so.7.3.0
:7f6460000000-7f6460135000 rw-p 00000000 00:00 0 
:7f6460135000-7f6464000000 ---p 00000000 00:00 0 
:7f6465b42000-7f6465b58000 r-xp 00000000 fd:00 33570                      /lib64/libnsl-2.14.so
:7f6465b58000-7f6465d57000 ---p 00016000 fd:00 33570                      /lib64/libnsl-2.14.so
:7f6465d57000-7f6465d58000 r--p 00015000 fd:00 33570                      /lib64/libnsl-2.14.so
:7f6465d58000-7f6465d59000 rw-p 00016000 fd:00 33570                      /lib64/libnsl-2.14.so
:7f6465d59000-7f6465d5b000 rw-p 00000000 00:00 0 
:7f6465d5b000-7f6465d65000 r-xp 00000000 fd:00 19244                      /lib64/libnss_nis-2.14.so
:7f6465d65000-7f6465f64000 ---p 0000a000 fd:00 19244                      /lib64/libnss_nis-2.14.so
:7f6465f64000-7f6465f65000 r--p 00009000 fd:00 19244                      /lib64/libnss_nis-2.14.so
:7f6465f65000-7f6465f66000 rw-p 0000a000 fd:00 19244                      /lib64/libnss_nis-2.14.so
:7f6465f66000-7f6465f72000 r-xp 00000000 fd:00 33573                      /lib64/libnss_files-2.14.so
:7f6465f72000-7f6466171000 ---p 0000c000 fd:00 33573                      /lib64/libnss_files-2.14.so
:7f6466171000-7f6466172000 r--p 0000b000 fd:00 33573                      /lib64/libnss_files-2.14.so
:7f6466172000-7f6466173000 rw-p 0000c000 fd:00 33573                      /lib64/libnss_files-2.14.so
:7f6466173000-7f64661cc000 r-xp 00000000 fd:00 276992                     /usr/lib64/libgphoto2/2.4.10.1/ptp2.so
:7f64661cc000-7f64663cb000 ---p 00059000 fd:00 276992                     /usr/lib64/libgphoto2/2.4.10.1/ptp2.so
:7f64663cb000-7f64663de000 rw-p 00058000 fd:00 276992                     /usr/lib64/libgphoto2/2.4.10.1/ptp2.so
:7f64663de000-7f64663e3000 r-xp 00000000 fd:00 263341                     /usr/lib64/libgphoto2_port/0.8.0/usb.so
:7f64663e3000-7f64665e2000 ---p 00005000 fd:00 263341                     /usr/lib64/libgphoto2_port/0.8.0/usb.so
:7f64665e2000-7f64665e3000 rw-p 00004000 fd:00 263341                     /usr/lib64/libgphoto2_port/0.8.0/usb.so
:7f64665e3000-7f64665e4000 ---p 00000000 00:00 0 
:7f64665e4000-7f6466de4000 rw-p 00000000 00:00 0 
:7f6466de4000-7f646d207000 r--p 00000000 fd:00 141315                     /usr/lib/locale/locale-archive
:7f646d207000-7f646d21e000 r-xp 00000000 fd:00 33577                      /lib64/libresolv-2.14.so
:7f646d21e000-7f646d41e000 ---p 00017000 fd:00 33577                      /lib64/libresolv-2.14.so
:7f646d41e000-7f646d41f000 r--p 00017000 fd:00 33577                      /lib64/libresolv-2.14.so
:7f646d41f000-7f646d420000 rw-p 00018000 fd:00 33577                      /lib64/libresolv-2.14.so
:7f646d420000-7f646d422000 rw-p 00000000 00:00 0 
:7f646d422000-7f646d424000 r-xp 00000000 fd:00 33568                      /lib64/libdl-2.14.so
:7f646d424000-7f646d624000 ---p 00002000 fd:00 33568                      /lib64/libdl-2.14.so
:7f646d624000-7f646d625000 r--p 00002000 fd:00 33568                      /lib64/libdl-2.14.so
:7f646d625000-7f646d626000 rw-p 00003000 fd:00 33568                      /lib64/libdl-2.14.so
:7f646d626000-7f646d7b5000 r-xp 00000000 fd:00 19065                      /lib64/libc-2.14.so
:7f646d7b5000-7f646d9b5000 ---p 0018f000 fd:00 19065                      /lib64/libc-2.14.so
:7f646d9b5000-7f646d9b9000 r--p 0018f000 fd:00 19065                      /lib64/libc-2.14.so
:7f646d9b9000-7f646d9ba000 rw-p 00193000 fd:00 19065                      /lib64/libc-2.14.so
:7f646d9ba000-7f646d9c0000 rw-p 00000000 00:00 0 
:7f646d9c0000-7f646d9c2000 r-xp 00000000 fd:00 19271                      /lib64/libutil-2.14.so
:7f646d9c2000-7f646dbc1000 ---p 00002000 fd:00 19271                      /lib64/libutil-2.14.so
:7f646dbc1000-7f646dbc2000 r--p 00001000 fd:00 19271                      /lib64/libutil-2.14.so
:7f646dbc2000-7f646dbc3000 rw-p 00002000 fd:00 19271                      /lib64/libutil-2.14.so
:7f646dbc3000-7f646dbca000 r-xp 00000000 fd:00 33579                      /lib64/librt-2.14.so
:7f646dbca000-7f646ddc9000 ---p 00007000 fd:00 33579                      /lib64/librt-2.14.so
:7f646ddc9000-7f646ddca000 r--p 00006000 fd:00 33579                      /lib64/librt-2.14.so
:7f646ddca000-7f646ddcb000 rw-p 00007000 fd:00 33579                      /lib64/librt-2.14.so
:7f646ddcb000-7f646de4e000 r-xp 00000000 fd:00 33569                      /lib64/libm-2.14.so
:7f646de4e000-7f646e04d000 ---p 00083000 fd:00 33569                      /lib64/libm-2.14.so
:7f646e04d000-7f646e04e000 r--p 00082000 fd:00 33569                      /lib64/libm-2.14.so
:7f646e04e000-7f646e04f000 rw-p 00083000 fd:00 33569                      /lib64/libm-2.14.so
:7f646e04f000-7f646e065000 r-xp 00000000 fd:00 19248                      /lib64/libpthread-2.14.so
:7f646e065000-7f646e264000 ---p 00016000 fd:00 19248                      /lib64/libpthread-2.14.so
:7f646e264000-7f646e265000 r--p 00015000 fd:00 19248                      /lib64/libpthread-2.14.so
:7f646e265000-7f646e266000 rw-p 00016000 fd:00 19248                      /lib64/libpthread-2.14.so
:7f646e266000-7f646e26a000 rw-p 00000000 00:00 0 
:7f646e26a000-7f646e289000 r-xp 00000000 fd:00 1110                       /lib64/ld-2.14.so
:7f646e448000-7f646e456000 rw-p 00000000 00:00 0 
:7f646e480000-7f646e487000 r--s 00000000 fd:00 134844                     /usr/lib64/gconv/gconv-modules.cache
:7f646e487000-7f646e488000 rw-p 00000000 00:00 0 
:7f646e488000-7f646e489000 r--p 0001e000 fd:00 1110                       /lib64/ld-2.14.so
:7f646e489000-7f646e48a000 rw-p 0001f000 fd:00 1110                       /lib64/ld-2.14.so
:7f646e48a000-7f646e48b000 rw-p 00000000 00:00 0 
:7fffb150a000-7fffb152b000 rw-p 00000000 00:00 0                          [stack]
:7fffb159c000-7fffb159d000 r-xp 00000000 00:00 0                          [vdso]
:ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]

var_log_messages:
:Aug 17 17:33:52 cnld-amd02 kernel: [755393.461079] gvfsd-gphoto2[30062]: segfault at c00000200 ip 0000000c00000200 sp 00007f6466de24e8 error 14 in libgvfscommon.so.0.0.0[305ba00000+17000]
:Aug 17 17:33:52 cnld-amd02 abrt[30088]: saved core dump of pid 30061 (/usr/libexec/gvfsd-gphoto2) to /var/spool/abrt/ccpp-2011-08-17-17:33:52-30061.new/coredump (10645504 bytes)

Comment 1 Pau Aliagas 2012-01-31 09:40:25 UTC
Connecting my Galaxy Nexus to USB and clicking eject in the popup notification makes it crash.

backtrace_rating: 3
Package: gvfs-gphoto2-1.10.1-2.fc16
OS Release: Fedora release 16 (Verne)

Comment 2 Pau Aliagas 2012-01-31 09:40:33 UTC
Created attachment 558583 [details]
File: backtrace

Comment 3 Pau Aliagas 2012-02-03 10:38:38 UTC
Clicking on the eject button of the notification in gnome-shell when I plug in My Galaxy Nexus.

backtrace_rating: 3
Package: gvfs-gphoto2-1.10.1-2.fc16
OS Release: Fedora release 16 (Verne)

Comment 4 Pau Aliagas 2012-02-03 10:38:47 UTC
Created attachment 559268 [details]
File: backtrace

Comment 5 abrt-bot 2012-03-30 13:07:30 UTC
Backtrace analysis found this bug to be similar to bug #723794, closing as duplicate.

This comment is automatically generated.

*** This bug has been marked as a duplicate of bug 723794 ***


Note You need to log in before you can comment on or make changes to this bug.